Bug 117378 - devel/py-game doesn't compile
Summary: devel/py-game doesn't compile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-python (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-21 18:20 UTC by Jarkko Santala
Modified: 2008-05-30 21:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jarkko Santala 2007-10-21 18:20:01 UTC
make install in /usr/ports/devel/py-game results in:

building 'pygame.constants' extension
cc -DNDEBUG -O -pipe -march=prescott -D__wchar_t=wchar_t -DTHREAD_STACK_SIZE=0x20000 -O -pipe -march=prescott -fPIC -D_GNU_SOURCE= -D_REENTRANT -I/usr/local/include -I/usr/local/include/SDL -I/usr/local/include -I/usr/local/include/python2.5 -c src/constants.c -o build/temp.freebsd-6.2-RELEASE-p7-i386-2.5/src/constants.o
In file included from /usr/local/include/python2.5/Python.h:8,
                 from src/pygame.h:57,
                 from src/constants.c:23:
/usr/local/include/python2.5/pyconfig.h:920:1: warning: "_GNU_SOURCE" redefined
<command line>:7:1: warning: this is the location of the previous definition
cc -shared -pthread -O -pipe -march=prescott build/temp.freebsd-6.2-RELEASE-p7-i386-2.5/src/constants.o -L/usr/local/lib -lSDL -o build/lib.freebsd-6.2-RELEASE-p7-i386-2.5/pygame/constants.so -Wl,-rpath,/usr/local/lib
building 'pygame.display' extension
cc -DNDEBUG -O -pipe -march=prescott -D__wchar_t=wchar_t -DTHREAD_STACK_SIZE=0x20000 -O -pipe -march=prescott -fPIC -D_GNU_SOURCE= -D_REENTRANT -I/usr/local/include -I/usr/local/include/SDL -I/usr/local/include -I/usr/local/include/python2.5 -c src/display.c -o build/temp.freebsd-6.2-RELEASE-p7-i386-2.5/src/display.o
In file included from /usr/local/include/python2.5/Python.h:8,
                 from src/pygame.h:57,
                 from src/display.c:27:
/usr/local/include/python2.5/pyconfig.h:920:1: warning: "_GNU_SOURCE" redefined
<command line>:7:1: warning: this is the location of the previous definition
src/display.c: In function `get_wm_info':
src/display.c:416: error: structure has no member named `info'
src/display.c:417: error: structure has no member named `info'
src/display.c:418: error: structure has no member named `info'
src/display.c:419: error: structure has no member named `info'
src/display.c:420: error: structure has no member named `info'
src/display.c:421: error: structure has no member named `info'
error: command 'cc' failed with exit status 1
*** Error code 1

Stop in /usr/ports/devel/py-game.
Comment 1 Edwin Groothuis freebsd_committer 2007-10-22 02:24:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2007-10-22 02:24:56 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 dfilter service freebsd_committer 2008-05-30 20:58:10 UTC
miwi        2008-05-30 19:58:06 UTC

  FreeBSD ports repository

  Modified files:
    devel/py-game        Makefile 
  Log:
  - Fix build when WITHOUT_X11 set is
  
  PR:             117378
  Submitted by:   Jarkko Santala <jake@iki.fi>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.37      +9 -0      ports/devel/py-game/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2008-05-30 20:58:12 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!